| Home | Libraries | People | FAQ | More

###### url::url (4 of 5 overloads)

Constructor.

###### Synopsis

    url(
        url_view_base const& u);

###### Description

The newly constructed object contains a copy of `u`.

###### Postconditions

    this->buffer() == u.buffer() && this->buffer().data() != u.buffer().data()

###### Complexity

Linear in `u.size()`.

###### Exception Safety

Strong guarantee. Calls to allocate may throw.

###### Exceptions

Type | Thrown On
--- | ---
`std::length_error` | `u.size() > max_size()`.

###### Parameters

Name | Description
--- | ---
`u` | The url to copy.